require 'rails/generators'
module StripeWrapper
  class FileCopyGenerator < Rails::Generators::Base
    source_root File.expand_path('../templates', __FILE__)

    def copy_files
      # controllers
      source = File.join(Gem.loaded_specs["stripe_wrapper"].full_gem_path, "app", "controllers", "stripe_wrapper")
      target = File.join(Rails.root, "app", "controllers", "stripe_wrapper")
      FileUtils.cp_r source, target
      # models
      source = File.join(Gem.loaded_specs["stripe_wrapper"].full_gem_path, "app", "models", "stripe_wrapper")
      target = File.join(Rails.root, "app", "models", "stripe_wrapper")
      FileUtils.cp_r source, target
      # views
      source = File.join(Gem.loaded_specs["stripe_wrapper"].full_gem_path, "app", "views", "stripe_wrapper")
      target = File.join(Rails.root, "app", "views", "stripe_wrapper")
      FileUtils.cp_r source, target
      # locales
      source = File.join(Gem.loaded_specs["stripe_wrapper"].full_gem_path, "config", "locales", "en.yml")
      target = File.join(Rails.root, "config", "locales", "stripe_wrapper.en.yml")
      FileUtils.cp source, target
      source = File.join(Gem.loaded_specs["stripe_wrapper"].full_gem_path, "config", "locales", "es.yml")
      target = File.join(Rails.root, "config", "locales", "stripe_wrapper.es.yml")
      FileUtils.cp source, target
    end
  end
end